| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Protocols
Protocols.OBEX
Protocols.OBEX.Client

# Method Protocols.OBEX.Client()->low_do_request()

Method low_do_request

  `array(int|string) low_do_request(Request r, string data)`

Description

  Perform a request/response exchange with the server. No interpretation is preformed of either the request or response data, they are just passed literally.

Parameter `r`

  Request opcode

Parameter `data`

  Raw request data

Returns

  An array with the response information

  Array
  `int returncode` | An HTTP response code
  `string data` | Response data, if any

See also

  do_request()